.proc state_setup_splash

  jsr graphics_turn_off
  
  jsr clear_pal
  
  jsr start_fade_in

  lda #<pal_splash
  sta pal_ptr
  lda #>pal_splash
  sta pal_ptr+1

; load the nam

  lda #<splashnam
  sta temp_ptr
  lda #>splashnam
  sta temp_ptr+1

  ldx #$21
  stx PPUADDR_2006 ; PPU $2000
  ldx #$e9
  stx PPUADDR_2006
  ldy #$00
loop:
  lda (temp_ptr), y
  sta PPUDATA_2007
  iny
  cpy #15
  bne loop

; attributes
  ldx #$23
  stx PPUADDR_2006 ; PPU $2000
  ldx #$dC
  stx PPUADDR_2006
  lda #$55
  sta PPUDATA_2007
  lda #$55
  sta PPUDATA_2007
  
  lda #$FE
  sta ppumask_soft
  jsr graphics_turn_on

  lda #$e0 ; do this to wait a little before fading in the title screen (it starts fading at $00)
  sta gametimerlow
 
; change game state to splash loop
  lda #$02
  sta gamestate
  
  rts

splashnam:
  .byte $05, $0c, $17, $00, $0c, $11, $0e, $00, $16, $17, $18, $07, $0c, $12, $16

.endproc